POST api/ACM/PostInjuryDetail

Request Information

URI Parameters

None.

Body Parameters

CPW_InjuryDetailDTO
NameDescriptionTypeAdditional information
Id

integer

None.

ClinicalPathwayId

integer

None.

InjuryNatureId

integer

None.

InjuryNatureName

string

String length: inclusive between 0 and 100

CauseOfIncidentId

integer

None.

CauseOfIncidentName

string

String length: inclusive between 0 and 50

InjuryDetail_InjuryAreaList

Collection of CPW_InjuryDetail_InjuryAreaDTO

None.

CombinedInjuryArea

string

String length: inclusive between 0 and 4000

CombinedInjuryAreaRegion

string

String length: inclusive between 0 and 4000

NCCICode

string

String length: inclusive between 0 and 50

CauseOfIncidentNCCICode

string

String length: inclusive between 0 and 50

CheckRequiredValidation

boolean

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "ClinicalPathwayId": 2,
  "InjuryNatureId": 3,
  "InjuryNatureName": "sample string 4",
  "CauseOfIncidentId": 5,
  "CauseOfIncidentName": "sample string 6",
  "InjuryDetail_InjuryAreaList": [
    {
      "Id": 1,
      "CPWInjuryDetailId": 1,
      "InjuryAreaId": 1,
      "InjuryAreaName": "sample string 2",
      "InjuryAreaRegionId": 1,
      "InjuryAreaRegionName": "sample string 3",
      "NCCICode": "sample string 4",
      "ValidFlag": true,
      "DateCreated": "2026-06-19T22:58:07.3946731-07:00",
      "DateUpdated": "2026-06-19T22:58:07.3946731-07:00",
      "UserIDCreated": 8,
      "UserIDUpdated": 9,
      "CompanyCode": "sample string 10",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "CPWInjuryDetailId": 1,
      "InjuryAreaId": 1,
      "InjuryAreaName": "sample string 2",
      "InjuryAreaRegionId": 1,
      "InjuryAreaRegionName": "sample string 3",
      "NCCICode": "sample string 4",
      "ValidFlag": true,
      "DateCreated": "2026-06-19T22:58:07.3946731-07:00",
      "DateUpdated": "2026-06-19T22:58:07.3946731-07:00",
      "UserIDCreated": 8,
      "UserIDUpdated": 9,
      "CompanyCode": "sample string 10",
      "IsExcludeDiscount": true
    }
  ],
  "CombinedInjuryArea": "sample string 7",
  "CombinedInjuryAreaRegion": "sample string 8",
  "NCCICode": "sample string 9",
  "CauseOfIncidentNCCICode": "sample string 10",
  "CheckRequiredValidation": true,
  "ValidFlag": true,
  "DateCreated": "2026-06-19T22:58:07.3946731-07:00",
  "DateUpdated": "2026-06-19T22:58:07.3946731-07:00",
  "UserIDCreated": 15,
  "UserIDUpdated": 16,
  "CompanyCode": "sample string 17",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfCPW_InjuryDetailDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

CPW_InjuryDetailDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "ClinicalPathwayId": 2,
    "InjuryNatureId": 3,
    "InjuryNatureName": "sample string 4",
    "CauseOfIncidentId": 5,
    "CauseOfIncidentName": "sample string 6",
    "InjuryDetail_InjuryAreaList": [
      {
        "Id": 1,
        "CPWInjuryDetailId": 1,
        "InjuryAreaId": 1,
        "InjuryAreaName": "sample string 2",
        "InjuryAreaRegionId": 1,
        "InjuryAreaRegionName": "sample string 3",
        "NCCICode": "sample string 4",
        "ValidFlag": true,
        "DateCreated": "2026-06-19T22:58:07.4105754-07:00",
        "DateUpdated": "2026-06-19T22:58:07.4105754-07:00",
        "UserIDCreated": 8,
        "UserIDUpdated": 9,
        "CompanyCode": "sample string 10",
        "IsExcludeDiscount": true
      },
      {
        "Id": 1,
        "CPWInjuryDetailId": 1,
        "InjuryAreaId": 1,
        "InjuryAreaName": "sample string 2",
        "InjuryAreaRegionId": 1,
        "InjuryAreaRegionName": "sample string 3",
        "NCCICode": "sample string 4",
        "ValidFlag": true,
        "DateCreated": "2026-06-19T22:58:07.4105754-07:00",
        "DateUpdated": "2026-06-19T22:58:07.4105754-07:00",
        "UserIDCreated": 8,
        "UserIDUpdated": 9,
        "CompanyCode": "sample string 10",
        "IsExcludeDiscount": true
      }
    ],
    "CombinedInjuryArea": "sample string 7",
    "CombinedInjuryAreaRegion": "sample string 8",
    "NCCICode": "sample string 9",
    "CauseOfIncidentNCCICode": "sample string 10",
    "CheckRequiredValidation": true,
    "ValidFlag": true,
    "DateCreated": "2026-06-19T22:58:07.4105754-07:00",
    "DateUpdated": "2026-06-19T22:58:07.4105754-07:00",
    "UserIDCreated": 15,
    "UserIDUpdated": 16,
    "CompanyCode": "sample string 17",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}